Deskhero Developer Hub
Back to deskhero.com
Lists

Update

Updates one custom list, identified by the id in the path. list_fields and group_access are complete replacements, so anything left out is removed from the list, and type is ignored because a list's type cannot be changed. Only Users with FULL permission on the list may update it, turning an existing field into a required or unique field is refused while current entries would break the rule, and making a field required is refused when a form collecting into this list does not also require it.

PUT /api/{tenant:minlength(2)}/v{version:apiVersion}/lists/{id}
Authorisation
Minimum role: ADMIN

Request arguments

Name Type Source
idInt32
inputDTO_listBody
Request body example

Response

Status
200 (OK)
Type
DTO_list
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_list
NameTypeReadOnlyDescription
list_fieldsDTO_list_field[]List fields
group_accessDTO_group_access[]Group access
sys_tagsDTO_reference[]Label can be used on POST/PUT to create new tags
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
idInt32ReadOnlyLeave empty on input
typeENUM list_typeReadOnlyType
highest_group_permissionENUM group_permissionReadOnlyCurrent users highest group permission
nameStringName
unique_keyStringUnique key
descriptionStringDescription
entries_countInt32Entries count
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
DTO_list_field
NameTypeReadOnlyDescription
idInt32Id
is_requiredBooleanIs required
is_unique_identifierBooleanIs unique identifier
DTO_group_access
NameTypeReadOnlyDescription
permissionENUM group_permissionPermission
idInt32Id
labelObjectReadOnlyLabel
DTO_reference
NameTypeReadOnlyDescription
idInt32The id of the reference
labelObjectReadOnlyName/Label from referenced object.
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
ENUM group_permission
ValueNameDescription
0UNKNOWNUNKNOWN
1READRead only
2EDITEdit
3FULLFull
ENUM list_type
ValueNameDescription
0UNKNOWNUNKNOWN
1CUSTOMCUSTOM
2SYS_TAGSSYS_TAGS
3SYS_TICKET_STATUSESSYS_TICKET_STATUSES
4SYS_TICKET_PRIORITIESSYS_TICKET_PRIORITIES
5SYS_TICKET_TYPESSYS_TICKET_TYPES
6SYS_TICKET_FORM_TYPESSYS_TICKET_FORM_TYPES
7SYS_KB_TYPESYS_KB_TYPE
9SYS_FILESSYS_FILES
10SYS_MULTI_OPTIONSSYS_MULTI_OPTIONS

Generated Aug 4, 2026 18:37